Create Loan

Note: For detailed information about creating a loan, please refer to the Create Loan Documentation.

This endpoint allows you to submit the loan application with loan amount, term, interest rate and repayment frequency.

Behaviour: A successful response indicates that loan application submitted successfully. Next step would be review and approve the loan application by the authorized user.

Body Params
string
required
Defaults to 38

The unique identifier of the client requesting the loan. Pattern: '^\d+$' Example: 38

string
required
Defaults to 1

The unique identifier of the product associated with the loan. Pattern: '^\d+$' Example: 1

disbursementData
array of objects
required

The data format for each disbursement, including the expected disbursement date and principal amount.

disbursementData*
integer
required
Defaults to 1500

The principal amount of the loan. Pattern: '^[1-9][0-9]*$' Example: 1500

integer
required
Defaults to 12

The total tenure of the loan in terms of loanTermFrequencyType. Pattern: '^[1-9]\d*$' Example: 12

integer
required
Defaults to 0

The type of frequency for loan payments.The loan term frequency type must be one of the specified integers. Ensure that the loanTermFrequencyType matches the repaymentFrequencyType when entering them. 0 - Days 1- Weeks 2- Months 3- Years Example: 0

string
required
Defaults to individual

The type of loan (e.g., individual). individual - Loan given to individual member group - Loan given to group as a whole jlg - Joint liability group loan given to members in a group on individual basis. Example: individual

integer
required
Defaults to 12

The total number of loan repayments. Pattern: '^[1-9][0-9]*$' Example: 12

integer
required
Defaults to 1

The frequency of loan repayments. Pattern: '^[1-9][0-9]*$' Example: 1

string
required
Defaults to 0

The type of frequency for loan repayments. 0 - Days 1 - Weeks 2 - Months 3 - Years Example: 0

integer
required
Defaults to 9

The interest rate per period for the loan. Pattern: '^\d+(.\d+)?$' Example: 9

string
required
Defaults to 0

The type of loan amortization.Amortization Type refers to which loan principal and interest are repaid over time. The accepted values for Amortization Type are: 0 - Equal installments 1 - Equal principal payments Example: 0

string
required
Defaults to 1

The type of interest for the loan. The accepted values for Interest Type are: 0 - Flat 1 - Declining Balance Example: 1

string
required
Defaults to 1

The type of period for interest calculations. The accepted values for interestCalculationPeriodType are: 0- Daily 1- Same as repayment period Example: 1

string
required
Defaults to 1

An identifier for the strategy used to process transactions related to the loan. Example: 1

string
required
Defaults to 07 July 2025

The anticipated date when the loan amount will be disbursed to the borrower. The date format should be as per the format mentioned in the dateFormat parameter. Pattern: 'XXX' Example: '07 July 2025'

string
required
Defaults to 28 July 2024

The date when the loan application was submitted. The date format should be as per the format mentioned in the dateFormat parameter. Pattern: 'XXX' Example: '28 July 2024'

string
required
Defaults to en

The locale of the client. 'en' will be passed as default. Pattern: 'XX' Example: 'en'

string
required
Defaults to dd MMMM yyyy

If the field 'expectedDisbursementDate' is passed, then this parameter is mandatory. It specifies the dataformat, that's being used. Pattern: 'XXX' Example: 'dd MMMM yyyy'

string

The unique identifier of the account linked to the loan. Pattern: '^\d+$' Example: 12

integer

A fixed amount to be paid as an Equated Monthly Installment (EMI) for the loan. Pattern: '^\d+$' Example: 1100

integer

Used in Arrears calculation to only take into account loans that are more than graceOnArrearsAgeing days overdue Pattern: '^\d+$' Example: 3

charges
array of objects
charges
boolean

Specifies if interest should be calculated for partial periods when repayments are made. Example: false

string

Indicates if a standing instruction (automatic payment) should be created when the loan is disbursed. Indicates whether a standing instruction for loan disbursement needs to be created. Example: 0

string

The maximum allowable balance for the outstanding loan at any given time. Example: 55

boolean

Indicates if the loan can be prepaid automatically when certain deposits are made into the borrower’s account. Indicates if prepayment on loan deposits is permitted. Example: true

Headers
string
required
Defaults to z01j3e71zd6zkq908vyf5861a8

The ID of your banking instance visible in the MBANQ Console.

Responses

Language
Credentials
Bearer
JWT
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json